!!.. this module defines all the global variables
!!.. that are shared by all the subroutines and functions
module wei_global_mod
  use wei_type_mod
  implicit none
  type(axis) , save :: agx, agy, aw, asx, asy
  type(axis) , save :: velx, vely, velz
  type(axis) , save :: ahx, ahy
  type(cgrid), save :: grid
  real, allocatable, dimension(:,:), save :: vmod
  real, allocatable, dimension(:)  , save :: vref

  real   , parameter :: PI = 3.14159265359
  logical, parameter :: T = .true.
  logical, parameter :: F = .false.

end module
